COMPB(3)

SYNOPSIS
SUBROUTINE COMPB (N, IERROR, AN, BN, CN, B, AH, BH)

NAME
compb - Subsidiary to BLKTRI

LIBRARY
SLATEC

TYPE
SINGLE PRECISION (COMPB-S, CCMPB-C)

AUTHOR
(UNKNOWN)

DESCRIPTION
COMPB computes the roots of the B polynomials using subroutine TEVLS which is a modification the EISPACK program TQLRAT. IERROR is set to 4 if either TEVLS fails or if A(J+1)*C(J) is less than zero for some J. AH,BH are temporary work arrays.

SEE ALSO
BLKTRI

ROUTINES CALLED
INDXB, PPADD, R1MACH, TEVLS

COMMON BLOCKS
CBLKT

REVISION HISTORY (YYMMDD)
801001 DATE WRITTEN
890531 Changed all specific intrinsics to generic. (WRB)
891214 Prologue converted to Version 4.0 format. (BAB)
900402 Added TYPE section. (WRB)